> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IP Asset Graph

> Get the graph of an IP Asset, by default it will fetch the first level of parents and children (depth = 1). You can customize the depth using the query parameter 'depth' to a maximum of 3. Maximum 100 parents or children will be returned for each level.

The ipAssetId parameter should be the Story Protocol asset ID (not the Crossmint ID). Must start with '0x' followed by hexadecimal characters.

**API scope required**: `nfts.read`

<Warning>This API is still under development. Contact support for early access.</Warning>{" "}


## OpenAPI

````yaml get /v1/ip/graph/{ipAssetId}
openapi: 3.0.0
info:
  title: Crossmint Story API
  description: Crossmint Story API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
security: []
tags: []
paths:
  /v1/ip/graph/{ipAssetId}:
    get:
      tags:
        - IP Story Protocol
      summary: Get IP Asset Graph
      description: >-
        Get the graph of an IP Asset, by default it will fetch the first level
        of parents and children (depth = 1). You can customize the depth using
        the query parameter 'depth' to a maximum of 3. Maximum 100 parents or
        children will be returned for each level.


        The ipAssetId parameter should be the Story Protocol asset ID (not the
        Crossmint ID). Must start with '0x' followed by hexadecimal characters.


        **API scope required**: `nfts.read`
      operationId: StoryApiController-getIpaGraph-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: ipAssetId
          required: true
          in: path
          schema:
            type: string
        - name: depth
          required: false
          in: query
          schema:
            pattern: ^\d+$
            default: '1'
            type: string
      responses:
        '200':
          description: IP Asset Graph found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPAssetGraphDto'
components:
  schemas:
    IPAssetGraphDto:
      type: object
      properties:
        rootIpId:
          type: string
          description: The root IP ID for which the graph was generated
          example: '0xf6546a7e5342b152366E3B3FC773743b6D991aB2'
        parents:
          type: array
          items:
            type: object
            properties:
              ipId:
                type: string
                description: The IP ID of the parent asset
                example: '0xf6546a7e5342b152366E3B3FC773743b6D991aB2'
              parents:
                type: array
                items: {}
                description: >-
                  Array of parent IP asset nodes, empty if no parents are
                  available
                example:
                  - ipId: '0xAb92d4f9EA97666c40527D54a9aF4D7F82ab8552'
                    parents: []
            required:
              - ipId
              - parents
          description: Array of parent IP asset nodes
          example:
            - ipId: '0xAb92d4f9EA97666c40527D54a9aF4D7F82ab8552'
              parents:
                - ipId: '0x9876543210abcdef9876543210abcdef98765432'
                  parents: []
        children:
          type: array
          items:
            type: object
            properties:
              ipId:
                type: string
                description: The IP ID of the child asset
                example: '0x123456789abcdef0123456789abcdef012345678'
              children:
                type: array
                items: {}
                description: >-
                  Array of child IP asset nodes, empty if no children are
                  available
                example:
                  - ipId: '0xabcdef0123456789abcdef0123456789abcdef01'
                    children: []
            required:
              - ipId
              - children
          description: Array of child IP asset nodes
          example:
            - ipId: '0x123456789abcdef0123456789abcdef012345678'
              children:
                - ipId: '0xabcdef0123456789abcdef0123456789abcdef01'
                  children: []
      required:
        - rootIpId
        - parents
        - children
      description: IP Asset relationship graph showing parents and children
      example:
        rootIpId: '0xf6546a7e5342b152366E3B3FC773743b6D991aB2'
        parents:
          - ipId: '0xAb92d4f9EA97666c40527D54a9aF4D7F82ab8552'
            parents:
              - ipId: '0x9876543210abcdef9876543210abcdef98765432'
                parents: []
        children:
          - ipId: '0x123456789abcdef0123456789abcdef012345678'
            children:
              - ipId: '0xabcdef0123456789abcdef0123456789abcdef01'
                children: []

````